apiVersion: v1
kind: PersistentVolume
metadata:
  annotations:
    volume.beta.kubernetes.io/storage-class: plex-pictures
  name: plex-pictures
  namespace: multimedia
spec:
  accessModes:
    - ReadWriteMany
  capacity:
    storage: 300Gi
  mountOptions:
    - hard
    - nfsvers=4.1
  nfs:
    path: /mnt/pool/personal/pictures
    server: 192.168.1.2
  persistentVolumeReclaimPolicy: Retain
  storageClassName: plex-pictures
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  annotations:
    volume.beta.kubernetes.io/storage-class: plex-pictures
  name: plex-pictures-claim
  namespace: multimedia
spec:
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 300Gi
---
apiVersion: v1
kind: PersistentVolume
metadata:
  annotations:
    volume.beta.kubernetes.io/storage-class: plex-videos
  name: plex-videos
  namespace: multimedia
spec:
  accessModes:
    - ReadWriteMany
  capacity:
    storage: 300Gi
  mountOptions:
    - hard
    - nfsvers=4.1
  nfs:
    path: /mnt/pool/multimedia/Videos
    server: 192.168.1.2
  persistentVolumeReclaimPolicy: Retain
  storageClassName: plex-videos
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  annotations:
    volume.beta.kubernetes.io/storage-class: plex-videos
  name: plex-videos-claim
  namespace: multimedia
spec:
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 300Gi
---
apiVersion: v1
kind: PersistentVolume
metadata:
  annotations:
    volume.beta.kubernetes.io/storage-class: plex-tvseries
  name: plex-tvseries
  namespace: multimedia
spec:
  accessModes:
    - ReadWriteMany
  capacity:
    storage: 300Gi
  mountOptions:
    - hard
    - nfsvers=4.1
  nfs:
    path: /mnt/pool/multimedia/TVSeries
    server: 192.168.1.2
  persistentVolumeReclaimPolicy: Retain
  storageClassName: plex-tvseries
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  annotations:
    volume.beta.kubernetes.io/storage-class: plex-tvseries
  name: plex-tvseries-claim
  namespace: multimedia
spec:
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 300Gi
